#pragma once
#include "grbc/ext.h"
#include "sol/table.hpp"

struct CMakeConfig {
    CMakeConfig(const sol::table &table) {
        configure_arguments = table.get<std::vector<std::string>>("configure_arguments");
    }

    /// Configuration arguments
    std::vector<std::string> configure_arguments;
};

struct CMakeProject {
    /// Source directory
    std::string source_dir;

    /// Build directory
    std::string build_dir;
};

Extension grbc_cmake();